Package org.eclipse.graphiti.ui.internal

## Interface IResourceRegistry

All Superinterfaces:
  `IDisposable`

All Known Implementing Classes:
  `ResourceRegistry`

    public interface IResourceRegistry
    extends IDisposable

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.swt.graphics.Color` `getSwtColor​(int red, int green, int blue)` Provides a SWT color instance with the given RGB values.
`org.eclipse.swt.graphics.Color` `getSwtColor​(java.lang.String hexRGBString)`
`org.eclipse.swt.graphics.Font` `getSwtFont​(org.eclipse.swt.graphics.FontData fontData)` Provides an SWT font instance with the given font data.

### Methods inherited from interface org.eclipse.graphiti.ui.internal.IDisposable

`dispose`

### Method Detail

#### getSwtColor

    org.eclipse.swt.graphics.Color getSwtColor​(int red,
                                               int green,
                                               int blue)

Provides a SWT color instance with the given RGB values.

Parameters:
  `red` - the value for the red part of the color
  `green` - the value for the green part of the color
  `blue` - the value for the blue part of the color
Returns:
  a SWT color instance
See Also:
  `Color`

#### getSwtColor

    org.eclipse.swt.graphics.Color getSwtColor​(java.lang.String hexRGBString)

Parameters:
  `hexRGBString` -
Returns:
  a SWT color instance
See Also:
  `Color`

#### getSwtFont

    org.eclipse.swt.graphics.Font getSwtFont​(org.eclipse.swt.graphics.FontData fontData)

Provides an SWT font instance with the given font data.

Parameters:
  `fontData` - the font data describing the desired font
Returns:
  an SWT font instance
See Also:
  `Font`